import { ActionType, IComponentSchemaJson, IMaterialItem, IWebRuntimeAppData, IDynamicValue, IWeAppComponentInstance, IComponentLibEntry } from '../../weapps-core';
import { BuildType, IFileCodeMap } from '../types/common';
import { Schema } from '@formily/react-schema-renderer';
import { DEPLOY_MODE, RUNTIME } from '../../types';
import { IPlatformApp } from '@cloudbase/cals';
export declare function runGenerateCore(props: {
    appBuildDir: string;
    cals: IPlatformApp;
    appData: IWebRuntimeAppData;
    subAppDataList: IWebRuntimeAppData[];
    dependencies: IMaterialItem[];
    appKey: string;
    buildTypeList: BuildType[];
    basename: string;
    deployOptions: {
        mode: DEPLOY_MODE;
        version?: string;
    };
    runtime: RUNTIME;
    ignoreInstall: boolean;
    extraData: {
        isComposite: boolean;
        compProps: any;
    };
    i18nConfig: any;
    fileCodeMap: IFileCodeMap;
    isSandbox: boolean;
    _indexPage: boolean;
    processCssUnit?: 'px' | 'rpx' | 'rem';
    rpxCalcRoot?: string;
    isPrivateMode?: boolean;
    expirationStartTimesnap?: number;
}): Promise<void>;
export interface IOriginKeyInfo {
    sourceKey: string;
    name: string;
    materialName: string;
    materialVersion: string;
    key: string;
    variableName: string;
    type?: ActionType;
    isComposite?: boolean;
    isPlainProps?: boolean;
    entries?: IComponentLibEntry;
}
export declare function getOriginComponentAndActionList(componentSchema: IComponentSchemaJson, dependencies: IMaterialItem[], originComponentList?: IOriginKeyInfo[], originActionList?: IOriginKeyInfo[], genericCompMap?: Record<string, IWeAppComponentInstance['genericComp']>): {
    originComponentList: IOriginKeyInfo[];
    originActionList: IOriginKeyInfo[];
};
export declare function pullActionToListByInstances(listenerInstances: any, originActionList: any, fixedDependencies: IFixedDependence[]): void;
interface IFixedDependence extends IMaterialItem {
    isPlainProps?: boolean;
    entries?: IComponentLibEntry;
}
export declare function isSlot(comp: Schema): boolean | "" | undefined;
export declare function generateDataBind(bind: IDynamicValue): string;
export declare function generateFilesFromTemplate({ templatesData, fileCodeMap, baseTargetPath, }: {
    templatesData: {
        [key: string]: Object;
    };
    fileCodeMap?: {
        [filePath: string]: {
            code: string;
        };
    };
    baseTargetPath?: string;
}): {
    [filePath: string]: {
        code: string;
    };
};
export {};
