import { IMaterialItem, IWebRuntimeAppData, IExtraData, II18nConfig } from '../../weapps-core';
import { BuildType, IFileCodeMap } from '../types/common';
import { DEPLOY_MODE, RUNTIME } from '../../types';
import { IPlatformApp } from '@cloudbase/cals';
export { serialize, deserialize } from '../../weapps-core';
export declare type BuildAppProps = {
    dependencies: IMaterialItem[];
    appKey: string;
    mainAppData: IWebRuntimeAppData;
    cals: IPlatformApp;
    subAppDataList?: IWebRuntimeAppData[];
    publicPath?: string;
    i18nConfig?: II18nConfig;
    extraData?: IExtraData;
    basename?: string;
    appBuildDir?: string;
    jsAssets?: string[];
    isSandbox?: boolean;
    buildTypeList: BuildType[];
    ignoreInstall?: boolean;
    deployOptions?: {
        mode: DEPLOY_MODE;
        version?: string;
    };
    runtime?: RUNTIME;
    _indexPage?: boolean;
    isPrivateMode?: boolean;
    /**
     * 开启应用过期
     * 0 不开启
     * 开启时传入起始时间戳
     */
    expirationStartTimesnap?: number;
};
export declare const TEMPLATE_REGEX: RegExp;
export declare function generateCode(props: BuildAppProps): Promise<IFileCodeMap>;
export declare function generateCompLibs(compLibs: any, rpxCalcRoot?: string): Promise<Record<string, {
    code: string;
}>>;
