"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.processMpLess = exports.processLess = void 0;
const postcss_1 = __importDefault(require("postcss"));
const less_1 = __importDefault(require("less"));
const postcss_pxtorem_1 = __importDefault(require("postcss-pxtorem"));
const postcss_rpx_1 = __importDefault(require("./postcss-rpx"));
const config_1 = require("../config");
const cals_1 = require("@cloudbase/cals");
async function processLess(lessCode, processCssUnit = 'rem', rpxCalcRoot = `var(${config_1.CALC_RPX_ROOT_VAL_NAME})`) {
    let { css: processedCss } = await less_1.default.render(lessCode);
    if (processCssUnit === 'rem') {
        processedCss = await (0, postcss_1.default)([(0, postcss_pxtorem_1.default)(config_1.remConfig)]).process(processedCss).css;
    }
    else if (processCssUnit === 'rpx') {
        processedCss = await (0, postcss_1.default)([(0, postcss_rpx_1.default)(config_1.rpxConfig)]).process(processedCss).css;
    }
    return await (0, postcss_1.default)([(0, cals_1.PostcssRpx2Calc)({ root: rpxCalcRoot })]).process(processedCss).css;
}
exports.processLess = processLess;
async function processMpLess(lessCode, processCssUnit = 'rpx') {
    let { css: processedCss } = await less_1.default.render(lessCode);
    if (processCssUnit === 'rpx') {
        processedCss = await (0, postcss_1.default)([(0, postcss_rpx_1.default)(config_1.rpxConfig)]).process(processedCss).css;
    }
    return processedCss;
}
exports.processMpLess = processMpLess;
