import { CodeType } from './code_types';
export interface IWeAppCode {
    id?: string;
    path: string;
    system?: boolean;
    type: CodeType;
    name: string;
    code: string;
    desc?: string;
    pageId?: string;
    title?: string;
}
export interface ILowCodesModifyStatus {
    type: 'del' | 'add' | 'mod';
    path: string;
}
export interface IWeAppFile {
    pageId: string;
    name: string;
    code: string;
    type: CodeType;
    path: string;
}
/**
 * Get the folder to hold the code file, used when saving code to files and import each other
 * @param mod code module
 * @param pageId page id or 'global'
 */
export declare function isStyleFile(mod: any): boolean;
export declare function getCodeModuleFilePath(pageId: string, mod: IWeAppCode, exts?: any): string;
