"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toCssText = exports.removeInvalidStyleFormValue = void 0;
const common_1 = require("./common");
function removeInvalidStyleFormValue(styleForm = {}) {
    return Object.keys(styleForm).reduce((result, key) => {
        const propStyleFormData = styleForm[key];
        if ((0, common_1.isPlainObject)(propStyleFormData)) {
            setStyleValue(result, key, removeInvalidStyleFormValue(propStyleFormData));
        }
        else {
            setStyleValue(result, key, styleForm[key]);
        }
        return result;
    }, {});
}
exports.removeInvalidStyleFormValue = removeInvalidStyleFormValue;
function setStyleValue(object, key, value) {
    if (value === undefined || value === null || value === '') {
        return;
    }
    // 特殊样式移除
    if (key === 'open') {
        return;
    }
    if ((0, common_1.isEmptyObj)(value)) {
        return;
    }
    object[String(key).startsWith('--') ? key : (0, common_1.camelcase)(key)] = value;
}
function toCssText(style, className = '.some-class-name') {
    const attrText = Object.keys(style)
        .map((key) => {
        const value = style[key];
        return `${(0, common_1.kebabCase)(key)}: ${value};`;
    })
        .join('\n');
    return `${className} { ${attrText} }\n`;
}
exports.toCssText = toCssText;
